<?xml version="1.0" encoding="utf-8"?>
<!--
 This file is part of Adblock Plus <https://adblockplus.org/>,
 Copyright (C) 2006-present eyeo GmbH

 Adblock Plus is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License version 3 as
 published by the Free Software Foundation.

 Adblock Plus is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with Adblock Plus.  If not, see <http://www.gnu.org/licenses/>.
  -->

<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <data>

        <variable
            name="viewModel"
            type="org.adblockplus.adblockplussbrowser.onboarding.ui.OnboardingViewModel" />

    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/background_secondary">

        <androidx.core.widget.NestedScrollView
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:layout_marginBottom="16dp"
            android:fillViewport="true"
            app:layout_constraintBottom_toTopOf="@id/onboarding_pager_indicator"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <androidx.viewpager2.widget.ViewPager2
                android:id="@+id/onboarding_pager"
                currentItem="@{viewModel.currentPageIndex}"
                onPageScrollSelected="@{viewModel::selectPage}"
                onboardingPages="@{viewModel.pages}"
                android:layout_width="match_parent"
                android:layout_height="match_parent" />

        </androidx.core.widget.NestedScrollView>

        <com.tbuonomo.viewpagerdotsindicator.DotsIndicator
            android:id="@+id/onboarding_pager_indicator"
            indicatorPager2="@{onboardingPager}"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginBottom="16dp"
            app:dotsColor="@color/onboarding_dot_indicator_background"
            app:dotsCornerRadius="1dp"
            app:dotsSize="3dp"
            app:dotsSpacing="2dp"
            app:dotsWidthFactor="3.5"
            app:layout_constraintBottom_toTopOf="@id/onboarding_circular_indicator"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:selectedDotColor="@color/ribbon" />

        <com.google.android.material.progressindicator.CircularProgressIndicator
            android:id="@+id/onboarding_circular_indicator"
            progressPager2="@{onboardingPager}"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginBottom="32dp"
            app:indicatorSize="66dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:trackColor="@color/onboarding_circular_indicator_background"
            app:indicatorColor="@color/onboarding_icon_foreground_accent"
            app:trackThickness="2dp" />

        <com.google.android.material.floatingactionbutton.FloatingActionButton
            android:id="@+id/onboarding_button"
            android:contentDescription="@string/open_samsung_internet"
            android:backgroundTint="@color/onboarding_icon_foreground_accent"
            onboardingButtonPager2="@{onboardingPager}"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:src="@drawable/ic_round_arrow_forward_24"
            app:elevation="0dp"
            app:layout_constraintBottom_toBottomOf="@id/onboarding_circular_indicator"
            app:layout_constraintEnd_toEndOf="@id/onboarding_circular_indicator"
            app:layout_constraintStart_toStartOf="@id/onboarding_circular_indicator"
            app:layout_constraintTop_toTopOf="@id/onboarding_circular_indicator"
            app:tint="@color/onboarding_icon_foreground" />

        <com.google.android.material.button.MaterialButton
            android:id="@+id/open_si_button"
            android:backgroundTint="@color/ribbon"
            onboardingOpenSamsungButton="@{onboardingPager}"
            android:layout_width="0dp"
            android:layout_height="72dp"
            android:layout_marginBottom="32dp"
            android:layout_marginStart="@dimen/onboarding_margin"
            android:layout_marginEnd="@dimen/onboarding_margin"
            android:fontFamily="sans-serif-medium"
            android:letterSpacing="-0.02"
            android:text="@string/open_samsung_internet"
            android:textAlignment="viewStart"
            android:textAllCaps="false"
            android:textColor="@color/white"
            android:visibility="invisible"
            app:cornerRadius="32dp"
            app:icon="@drawable/ic_round_arrow_forward_24"
            app:iconGravity="end"
            app:iconTint="@color/white"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"/>

    </androidx.constraintlayout.widget.ConstraintLayout>

</layout>